<html lang="en" dir="ltr">
  <head>
    <link rel="stylesheet" href="table.css">
    <meta charset="utf-8">
    <title></title>
    <style>
        table, td {
          border: 1px solid black;
        }
        </style>
      </head>
  <body>
      
    <header class="top">
        <h2>this is on the top</h2>
    </header>

   
   <div class="container" >  
    <div>

        <table width= "80%" id="myTable">
            <tr style="background-color: rgb(166, 218, 186);">
                <td>name</td>
                <td>family</td>
                <td>age</td>
                <td>Delete</td>
            </tr>
                        
        </table>


    </div>
    <div class="right">
        <form name="myform">
            <label for="fname" > First name:</label><br>
            <input type="text" name="fname" id="fname" value=""><br>
            <label for="lname">Last name:</label><br>
            <input type="text" name="lname" id="lname" value=""><br>
            <label for="age" >age:</label><br>
            <input type="text" name="age" id="age" value=""><br><br>
     

        </form>
        <button onclick="myCreateFunction()">write on table</button>  
                  
    </div>
        
</div>
<script>

const firstname = ["ali", "taghi", "mary", "bardia", "akbar", "anna" ,"ali" ,"melika", "mehdi","mehri"];
const lastname = ["alipoor" , "taghipoor" , "mohamadi" , "babai" , "akbari" , "ahrari", "dehghan","ali","said", "meli"];
const age = ["1" ,"20" ,"28" ,"30 " ,"32" , "43", "12" ,"32" ,"43", "10"];


for (let i = 0; i < firstname.length; i++) {
 

    var table = document.getElementById("myTable");
      var row = table.insertRow(1);
      var cell1 = row.insertCell(0);
      var cell2 = row.insertCell(1);
      var cell3 = row.insertCell(2);
      var cell4 = row.insertCell(3);

      cell1.innerHTML = firstname[i];
      cell2.innerHTML = lastname[i];
      cell3.innerHTML = age[i];
      var btn = document.createElement("BUTTON"); 
        var textnode = document.createTextNode("Delete");     
        btn.setAttribute("value", "Delete");
        btn.setAttribute("onclick", "deleteRow(this)");
        btn.appendChild(textnode); 
        cell4.appendChild(btn);       

}

    function myCreateFunction(fname,tlname,tage) {
    
    var tfanem="";
    var tlname="";
    var tage =18;
    tfname = document.forms["myform"]["fname"].value;
    tlname= document.forms["myform"]["lname"].value;
    tage= document.forms["myform"]["age"].value;

    if(tfname!="" && lname!="" & tage!=""){
    
      var table = document.getElementById("myTable");
      var row = table.insertRow(1);
      var cell1 = row.insertCell(0);
      var cell2 = row.insertCell(1);
      var cell3 = row.insertCell(2);
      var cell4 = row.insertCell(3);
     
      cell1.innerHTML = tfname;
      cell2.innerHTML = tlname;
      cell3.innerHTML = tage;
     
        var btn = document.createElement("BUTTON"); 
        var textnode = document.createTextNode("Delete");     
        btn.setAttribute("value", "Delete");
        btn.setAttribute("onclick", "deleteRow(this)");
        btn.appendChild(textnode); 
        cell4.appendChild(btn);
        cell4.innerHTML = document.getElementById("myTable").appendChild(btn.value);
    }
    else{
      alert("Please Enter name, last name and age!!");
    }


  

    }
    
    function deleteRow(r) {
  var i = r.parentNode.parentNode.rowIndex;
  document.getElementById("myTable").deleteRow(i);
}
    </script>


           
    <footer class="down">
        <h2>this is foooter and do not move</h2>
      </footer>
  </body>
</html>
